package objects;

import org.bson.types.ObjectId;
import org.mongodb.morphia.annotations.Entity;
import org.mongodb.morphia.annotations.Id;

/**
 * Created by gpietrus on 20.02.2016.
 */
@Entity("solutions")
public class Solution {
    @Id
    private ObjectId id;
    private String taskName;
    private Team team;

    public Solution(Team team, String taskName) {
        this.team = team;
        this.taskName = taskName;
    }

    public Solution() {
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public void setTeam(Team team) {
        this.team = team;
    }

    public String getTaskName() {
        return taskName;
    }

    public Team getTeam() {
        return team;
    }
}
